<div>
    <button type="button" (click)="decrease()">-</button>
    <input type="text" [value]="counter" *ngIf="inputdisplay else elseTemplate">
        <ng-template #elseTemplate>
            <span style="font-size: 20px;
            font-weight: bold;
            margin-left: 5px;
            margin-right: 5px;">
                {{counter}}
            </span>
        </ng-template>

    <button type="button" (click)="increase()">+</button>
</div>
